abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

19.1. 18:55 | Komunita

NHSbuntu (Joinup, prezentace) měla být z Ubuntu vycházející linuxová distribuce přizpůsobená pro potřeby britské Národní zdravotní služby (NHS). NHS se název nelíbil, nejednalo se o oficiální projekt NHS, a proto bylo NHSbuntu v září loňského roku přejmenováno na NHoS. Vývojáři NHoS tento týden oznámili, že NHS se nelíbí ani název NHoS a už nemají sílu na další přejmenování a pokračování v projektu. Dodávají, že několik jednání s vedením

… více »
Ladislav Hagara | Komentářů: 2
19.1. 18:44 | Pozvánky

Koncem ledna, 29. 1. 2018 od 17 do 20 hodin se v Akademii CZ.NIC uskuteční večer s Turrisem.

Co bude na programu?… více »
Miška | Komentářů: 3
19.1. 18:33 | Pozvánky

Na tri dni sa hlavné mesto Slovenska po tretíkrát zmení na miesto s najväčšou koncentráciou profesionálnych programátorov, systémových administrátorov, učiteľov informatiky aj technologických nadšencov. Hlavným lákadlom bude konferencia PyCon SK 2018, určená záujemcom o Python, jeden z najpopulárnejších programovacích jazykov na svete.

… více »
RicCo386 | Komentářů: 1
19.1. 18:22 | Pozvánky

Letošní ročník konference Prague PostgreSQL Developer Day se koná ve dnech 14. 2. a 15. 2. 2018. Zveřejněn byl program s přednáškami a školeními. Otevřena byla také registrace na konferenci.

TomasVondra | Komentářů: 0
19.1. 11:33 | Komunita

Společnost Canonical stojící za linuxovou distribucí Ubuntu oznámila dostupnost nástroje pro týmovou spolupráci Slack (Wikipedie) ve formátu snap. Instalovat jej lze ze Snapcraftu. Slack pro Linux je dostupný také ve formátu klasických balíčků pro Ubuntu a Fedoru.

Ladislav Hagara | Komentářů: 9
18.1. 17:33 | Nová verze

Po roce vývoje od vydání verze 2.0 a 6 000 změnách byla vydána nová stabilní verze 3.0 softwaru, který vytváří aplikační rozhraní umožňující chod aplikací pro Microsoft Windows také pod GNU/Linuxem, Wine (Wikipedie). Z novinek lze zdůraznit například podporu Direct3D 10 a 11. Podrobnosti v poznámkách k vydání.

Ladislav Hagara | Komentářů: 14
18.1. 13:44 | Zajímavý projekt

V říjnu loňského roku úspěšně skončila kampaň na podporu chytrého telefonu Librem 5, jenž by měl respektovat bezpečnost, svobodu a soukromí uživatelů. Společnost Purism informuje o aktuálním vývoji tohoto telefonu. Místo plánovaného SoC i.MX6 by měl být použit úspornější i.MX8.

Ladislav Hagara | Komentářů: 4
18.1. 12:33 | Zajímavý projekt

V květnu loňského roku měl na YouTube premiéru krátký animovaný film Agent 327: Operation Barbershop. Blender Animation Studio včera zveřejnilo alternativní konec tohoto filmu.

Ladislav Hagara | Komentářů: 0
18.1. 05:55 | Bezpečnostní upozornění

Společnost Oracle vydala čtvrtletní bezpečnostní aktualizaci svých softwarových produktů (CPU, Critical Patch Update). Opraveno bylo celkově 237 bezpečnostních chyb. V Oracle Java SE je například opraveno 21 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 18 z nich. V Oracle MySQL je opraveno 25 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 6 z nich.

Ladislav Hagara | Komentářů: 0
17.1. 20:55 | Komunita

Linux ve VirtualBoxu nebude potřebovat Přídavky pro hosta (Guest Additions). Budou součástí linuxového jádra. Ovladač vboxguest by se měl dostat do Linuxu 4.16. Ovladač vboxsf by měl následovat.

Ladislav Hagara | Komentářů: 27
Jak se vás potenciálně dotkne trend odstraňování analogového audio konektoru typu 3,5mm jack z „chytrých telefonů“?
 (7%)
 (1%)
 (1%)
 (1%)
 (77%)
 (13%)
Celkem 1349 hlasů
 Komentářů: 53, poslední 17.1. 16:55
    Rozcestník

    Enlightenment DR 0.21.0

    Po sedmi měsících od vydání verze 0.20.0 (zprávička) byla vydána nová stabilní verze 0.21.0 desktopového prostředí Enlightenment. Z novinek lze zmínit lepší podporu Waylandu nebo možnost přehrávání videa na ploše. Podrobnosti v souboru NEWS.

    30.6.2016 19:15 | Ladislav Hagara | Nová verze


    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    Komentáře

    Vložit další komentář

    30.6.2016 20:25 Jardík
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Pořád to závisí na glib a přitom to implementuje všechno znou po svém.
    30.6.2016 21:04 Peter Golis | skóre: 55 | Bratislava
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Máš preklep v slove Gřyb, ogare.
    pavlix avatar 30.6.2016 22:39 pavlix | skóre: 54 | blog: pavlix
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Není až tak špatný nápad věci z glib nepoužívat. Závislost bude nejspíš z důvodu jiných závislostí a dost možná volitelná.
    Já už tu vlastně ani nejsem. Abclinuxu umřelo.
    1.7.2016 09:06 Cabrón
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Na glib v EFL nic nezávisí, je to jen kvůli glib integraci (lze používat ecore primitiva uvnitř glib main loop), a samozřejmě to je volitelný (--with-glib=yes/no).
    1.7.2016 19:26 Jardík
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Tak to jdu zkusit zbuildit bez glib
    $ FLAGS="-march=native -O2 -fomit-frame-pointer" CXXFLAGS="-march=native -O2 -fomit-frame-pointer" ./configure --prefix=/home/jardik/Apps/e --disable-gstreamer --disable-gstreamer1 --disable-pulseaudio --disable-nls --disable-doc --disable-magic-debug --disable-cxx-bindings --disable-fribidi --disable-harfbuzz --disable-avahi --with-x --with-glib=no
    ------------------------------------------------------------------------
    efl 1.17.2
    ------------------------------------------------------------------------
    
    Configuration...: profile=release os=linux-gnu
      EFL API Set...: both
      CPU Extensions: x86_64 (+mmx +sse3)
      System Feature: coroutine=ucontext +inotify +atfile_source +ipv6
      Threads.......: POSIX (+spinlocks +barrier +affinity +setname +__thread)
      Cryptography..: openssl
      X11...........: xlib
      OpenGL........: full 
      C++11.........: no
      JavaScript....: none
      JavaScript flg: 
    Eina............: yes (-systemd-journal unwind=yes)
    Eo..............: yes (+eo-id)
    Eolian..........: yes (-cxx)
    Emile...........: yes (crypto=openssl)
    Eet.............: yes
    Evas............: yes (-lua-old +fontconfig -fribidi -harfbuzz +cserve -tile-rotate dither-mask=big -hyphen)
      Engines.......: buffer=static -fb -psl1ght -gl-cocoa -gl-sdl -software-gdi -software-ddraw -wayland-egl -wayland-shm -drm -gl-drm +software-xlib +gl-xlib
      Image Loaders.: bmp=static eet=static generic=static +gif ico=static jpeg=static +jp2k pmaps=static png=static psd=static tga=static +tiff wbmp=static -webp xpm=static tgv=static dds=static
    Ecore...........: yes (-systemd-daemon -glib -g-main-loop -libuv)
    Ecore_Con.......: yes (-cares +local-sockets +abstract-sockets resolver=dns.c -systemd-daemon)
    Ecore_File......: yes
    Ecore_IMF.......: yes (-ibus -scim +xim -wayland)
    Ecore_X.........: xlib (-xpresent -gesture +xinput2 -xinput22)
    Ecore_SDL.......: no
    Ecore_Wayland...: no
    Ecore_Wl2.......: no
    IVI-Shell.......: no
    Ecore_Buffer....: no ()
    Ecore_FB........: no ()
    Ecore_Audio.....: yes (-alsa -pulseaudio +sndfile -coreaudio)
    Ecore_Avahi.....: yes (-avahi-client)
    Ecore_Evas......: yes (+extn +ews -fb -drm -gl-drm -psl1ght -opengl-cocoa -software-sdl -opengl-sdl -wayland-shm -wayland-egl -software-gdi -software-ddraw +software-x11 +opengl-x11)
    Ector...........: yes
    Eeze............: yes (+libmount -tizen)
    EPhysics........: yes
    Edje............: yes (+physics -multisense -lua-old)
    Emotion.........: yes (+v4l2 -xine -gstreamer -gstreamer1 -libvlc generic=static)
    Ethumb..........: yes
    Ethumb_Client...: yes
    Elua............: yes
    Tests...........: make check (inexplicitly enabled)
    Examples........: make examples (make install-examples)
    Documentation...: no
    Compilation.....: make (or gmake)
      CPPFLAGS......: 
      CFLAGS........: -march=native -O2 -fomit-frame-pointer
      CXXFLAGS......: -march=native -O2 -fomit-frame-pointer
      LDFLAGS.......: 
      EFLJS_CXXFLAGS: 
      
    Installation....: make install (as root if needed, with 'su' or 'sudo')
      prefix........: /home/jardik/Apps/e
      dbus units....: ${datarootdir}/dbus-1/services
    
     _________________________________________
    / Systemd dependency is available on your \
    | system, but you are building without    |
    | systemd support. Don't forget to        |
    | --enable-systemd if you want systemd    |
    \ integration for EFL.                    /
     -----------------------------------------
            \   ^__^
             \  (oo)\_______
                (__)\       )\/\
                    ||----w |
                    ||     ||
    _____________________________________________________________________
    
    ==-- WARNING --==
    
    _____________________________________________________________________
    _____________________________________________________________________
    Fribidi is used for handling right-to-left text (like Arabic,
    Hebrew, Farsi, Persian etc.) and is very likely not a feature
    you want to disable unless you know for absolute certain you
    will never encounter and have to display such scripts. Also
    note that we don't test with fribidi disabled so you may also
    trigger code paths with bugs that are never normally used.
    _____________________________________________________________________
    _____________________________________________________________________
    You disabled Gstreamer 1.x support. You likely don't want to do
    this as it will heavily limit your media support options and render
    some functionality as useless, leading to visible application bugs.
    _____________________________________________________________________
    _____________________________________________________________________
    The only audio output method supported by Ecore right now on your
    system is via Pulseaudio. You have disabled that and likely have
    broken a whole bunch of things in the process. Reconsider your
    configure options.
    _____________________________________________________________________
    _____________________________________________________________________
    Multisense has been disabled. This causes Edje audio suport to
    Simply not work, and will break applications and libraries
    that rely on it with users then reporting bugs.
    If you want to mute audio, there are APIs and policies to do
    that, as opposed to compiling it out.
    _____________________________________________________________________
    _____________________________________________________________________
    
    ==-- WARNING --==
    
    _____________________________________________________________________
    Please add the following option to acknowledge this:
      --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-abb
    _____________________________________________________________________
    
    1.7.2016 20:09 Jardík
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Tak už jsem si myslel, že to bude ok, zkompilovalo se EFL, Elementary, elementary_test fungoval (tak trochu, když pominu občasné pády). Pak jsem ale každou binárku a knihovnu projel přes ldd a glib2 se stále přilinkoval, harfbuzz to taky přilinkovalo (build v archlinuxu závisí na glib). Co ještě vypnout?
    ldd edje_codegen 
            linux-vdso.so.1 (0x00007ffedcd72000)
            libecore_evas.so.1 => /home/jardik/Apps/e/lib/libecore_evas.so.1 (0x00007f0aae2d7000)
            libecore.so.1 => /home/jardik/Apps/e/lib/libecore.so.1 (0x00007f0aae097000)
            libevas.so.1 => /home/jardik/Apps/e/lib/libevas.so.1 (0x00007f0aadc4f000)
            libeina.so.1 => /home/jardik/Apps/e/lib/libeina.so.1 (0x00007f0aad9df000)
            libedje.so.1 => /home/jardik/Apps/e/lib/libedje.so.1 (0x00007f0aad6ff000)
            libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f0aad4df000)
            libc.so.6 => /usr/lib/libc.so.6 (0x00007f0aad137000)
            libecore_input_evas.so.1 => /home/jardik/Apps/e/lib/libecore_input_evas.so.1 (0x00007f0aacf2f000)
            libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f0aacce7000)
            libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f0aaca27000)
            libluajit-5.1.so.2 => /usr/lib/libluajit-5.1.so.2 (0x00007f0aac7b7000)
            libector.so.1 => /home/jardik/Apps/e/lib/libector.so.1 (0x00007f0aac587000)
            libeet.so.1 => /home/jardik/Apps/e/lib/libeet.so.1 (0x00007f0aac357000)
            libemile.so.1 => /home/jardik/Apps/e/lib/libemile.so.1 (0x00007f0aac13f000)
            libssl.so.1.0.0 => /usr/lib/libssl.so.1.0.0 (0x00007f0aabec7000)
            libcrypto.so.1.0.0 => /usr/lib/libcrypto.so.1.0.0 (0x00007f0aaba4f000)
            libz.so.1 => /usr/lib/libz.so.1 (0x00007f0aab837000)
            libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0x00007f0aab5c7000)
            libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007f0aab38f000)
            libecore_input.so.1 => /home/jardik/Apps/e/lib/libecore_input.so.1 (0x00007f0aab177000)
            libefl.so.1 => /home/jardik/Apps/e/lib/libefl.so.1 (0x00007f0aaaf57000)
            libeo.so.1 => /home/jardik/Apps/e/lib/libeo.so.1 (0x00007f0aaad3f000)
            librt.so.1 => /usr/lib/librt.so.1 (0x00007f0aaab37000)
            libunwind-x86_64.so.8 => /usr/lib/libunwind-x86_64.so.8 (0x00007f0aaa917000)
            libunwind.so.8 => /usr/lib/libunwind.so.8 (0x00007f0aaa6f7000)
            libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f0aaa4ef000)
            libm.so.6 => /usr/lib/libm.so.6 (0x00007f0aaa1e7000)
            libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f0aa9e5f000)
            /lib64/ld-linux-x86-64.so.2 (0x00007f0aae4ff000)
            libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f0aa9c47000)
            libephysics.so.1 => /home/jardik/Apps/e/lib/libephysics.so.1 (0x00007f0aa9a0f000)
            libBulletSoftBody.so.2.83 => /usr/lib/libBulletSoftBody.so.2.83 (0x00007f0aa97c7000)
            libBulletDynamics.so.2.83 => /usr/lib/libBulletDynamics.so.2.83 (0x00007f0aa950f000)
            libBulletCollision.so.2.83 => /usr/lib/libBulletCollision.so.2.83 (0x00007f0aa91d7000)
            libLinearMath.so.2.83 => /usr/lib/libLinearMath.so.2.83 (0x00007f0aa8fb7000)
            libefreet.so.1 => /home/jardik/Apps/e/lib/libefreet.so.1 (0x00007f0aa8d8f000)
            libecore_ipc.so.1 => /home/jardik/Apps/e/lib/libecore_ipc.so.1 (0x00007f0aa8b87000)
            libeio.so.1 => /home/jardik/Apps/e/lib/libeio.so.1 (0x00007f0aa896f000)
            libembryo.so.1 => /home/jardik/Apps/e/lib/libembryo.so.1 (0x00007f0aa875f000)
            libecore_imf_evas.so.1 => /home/jardik/Apps/e/lib/libecore_imf_evas.so.1 (0x00007f0aa8557000)
            libecore_imf.so.1 => /home/jardik/Apps/e/lib/libecore_imf.so.1 (0x00007f0aa834f000)
            libecore_file.so.1 => /home/jardik/Apps/e/lib/libecore_file.so.1 (0x00007f0aa8147000)
            libecore_con.so.1 => /home/jardik/Apps/e/lib/libecore_con.so.1 (0x00007f0aa7f0f000)
            libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f0aa7cdf000)
            libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f0aa7acf000)
            libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007f0aa784f000)
            liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007f0aa7627000)
            libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f0aa7317000)
            libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007f0aa70e7000)
            libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f0aa6e6f000)
    
    1.7.2016 21:17 Lol Phirae | skóre: 23
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    ldd je informace dost vo hovně, co scanelf -n
    1.7.2016 21:29 Jardík
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Mně výstup ldd stačí. Říká mi, že je tam někde závislost na glib a to nechci. Né proto, že nemám rád glib. Ale proto, že mě deptá, když spuštěný program závisí na 2 různých knihovnách, které implementují to samé, ale trochu jinak (což je případ EFL a glib).
    1.7.2016 22:26 Lol Phirae | skóre: 23
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Mně výstup ldd stačí. Říká mi, že je tam někde závislost na glib a to nechci.
    To je právě přesně to, co neříká.
    1.7.2016 22:58 cestujuci
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    LDD(1) Linux Programmer's Manual LDD(1)

    NAME ldd - print shared library dependencies

    SYNOPSIS ldd [OPTION]... FILE...

    DESCRIPTION ldd prints the shared libraries required by each program or shared library specified on the command line. ...

    2.7.2016 00:03 Lol Phirae | skóre: 23
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    To je bezva, akorát že to nefunguje správně, protože to krom závislostí té binárky vyflusne ještě mraky "závislostí" pro každou z těch knihoven, na které závisí ta binárka.
    2.7.2016 01:23 cestujuci
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    In the usual case, ldd invokes the standard dynamic linker (see ld.so(8)) with the LD_TRACE_LOADED_OBJECTS environment variable set to 1, which causes the linker to display the library dependencies.

    Dokumentacia k scanelf je zalostna (stravil som hladanim asi len 5 minut, priznavam), ale tipujem, ze je to nieco podobne ako $ objdump -p /path/to/program | grep NEEDED

    Stale nevidim, co na LDD nefunguje spravne.
    2.7.2016 01:30 Lol Phirae | skóre: 23
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Stale nevidim, co na LDD nefunguje spravne.
    Když chci zjistit, jestli binárka závisí na nějaké knihovně, tak mě opravdu nezajímá, na čem závisí ta knihovna. Jestli to je k nepochopení, tak to holt vzdávám.
    2.7.2016 01:45 cestujuci
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    A ako chces pouzivat binarku, ktora zavisi na nejakej kniznici, ktorej chyba nejaka zavislost?
    2.7.2016 10:37 Lol Phirae | skóre: 23
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Kristova noho... přečti si celé vlákno.
    2.7.2016 10:46 Jardík
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Přesně. Proto je, jak jsem již napsal, ldd vyhovující pro můj účel. Pokud se podíváte na argumenty, co jsem dal configure skriptu, tak jsem vypnul všechno, co závisí na glib, aby ve výsledku nebyla závislost EFL na glib (přímá či nepřímá). Vývojáři EFL použili knihovnu, o níž věděli, že je závislá na glib, a přitom skoro vše, co v glib je, reimplementovali. Podle mě je to naprostá debilita.
    2.7.2016 12:08 Cabrón
    Rozbalit Rozbalit vše Re: Enlightenment DR 0.21.0
    Pointa je, že nějaká z knihoven, proti které v systému linkuješ, má aktivní volitelnou závislost na glib. EFL na glib skutečně nijak nezávisí.

    Založit nové vláknoNahoru


    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.